﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:resx="clr-namespace:MyADA.Common.Views.Properties;assembly=MyADA.Common.Views"
             xmlns:ContentView="clr-namespace:MyADA.Common.Views.ContentViews;assembly=MyADA.Common.Views"
             xmlns:ctrl="clr-namespace:CoreSDK.Controls;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:adabh="clr-namespace:CoreSDK.Behaviors;assembly=CoreSDK.MicroFramework.XamarinForms"
             x:Class="MyADA.Common.Views.LoginView" BackgroundColor="Transparent">

  <Grid x:Name="mainGrid">
    
    <Grid.Behaviors>
      <adabh:ActivityIndicatorBehavior Label="{Static resx:Resources.Button_ActivityIndicator_Label}" />
    </Grid.Behaviors>
    
    <Grid.Padding>
      <OnPlatform x:TypeArguments="Thickness" iOS="0,20,0,0" Android="0" WinPhone="0" />
    </Grid.Padding>
    
    <Grid.RowDefinitions>
      <RowDefinition Height="50"/>
      <RowDefinition Height="*"/>
    </Grid.RowDefinitions>

    <!--HEADER
    <ContentView:Header Grid.Row="0"/>-->

    <!--CONTENT-->
    <Grid Grid.Row="1" Grid.RowSpacing="20" Padding="{StaticResource VIEW_PADDING}">
      <Grid.RowDefinitions>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
        <RowDefinition Height="Auto"/>
      </Grid.RowDefinitions>
      
      <!--LOGO ET TITRE-->
      <Grid Grid.Row="0" Grid.RowSpacing="20" Padding="{StaticResource LOGIN_TITLE_PADDING}">
        <Grid.RowDefinitions>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="Auto"/>
        </Grid.RowDefinitions>

        <!--Image Logo-->
        <Image Grid.Row="0" Style="{DynamicResource LargeBrandImageStyle}" HorizontalOptions="CenterAndExpand" VerticalOptions="CenterAndExpand"/>
      
        <Grid Grid.Row="1" Grid.ColumnSpacing="0" HorizontalOptions="CenterAndExpand">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="Auto"/>
          </Grid.ColumnDefinitions>
          
          <!--Titre Audi-->
          <ctrl:NormalFontLabel Grid.Column="0" Text="Audi" TextColor="Red" Style="{StaticResource LoginTitleLabelStyle}"/>
          <ctrl:NormalFontLabel Grid.Column="1" Text="Dealership Animation" TextColor="Black" Style="{StaticResource LoginTitleLabelStyle}"/>
        </Grid>
      </Grid>
      
      <!--ENTRY-->
      <!--<Grid Grid.Row="1" ColumnSpacing="0" RowSpacing="0" Padding="0,20,0,0">
        <Grid.RowDefinitions>
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
          <RowDefinition Height="*" />
          <RowDefinition Height="{StaticResource BORDER_BOX_HEIGHT}" />
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="0.7" />
          <ColumnDefinition Width="*" />
          <ColumnDefinition Width="0.7" />
        </Grid.ColumnDefinitions>

        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.ColumnSpan="3"/>
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="0" Grid.RowSpan="3"/>
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="2" Grid.Row="0" Grid.RowSpan="3"/>
        <StackLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand" BackgroundColor="{DynamicResource BoxItemBorderColor}" Grid.Column="0" Grid.Row="2" Grid.ColumnSpan="3"/>
        
        <ctrl:CustomEntry Text="{Binding Email}" Placeholder="{Static resx:Resources.ChangeRequest_Email_Text}" StyleId="TransparentBorderEntry" TextColor="Black" FontSize="Large" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>
        
      </Grid>-->

      <StackLayout Grid.Row="1" Padding="0,20,0,0">
        <Entry Text="{Binding Email}" Placeholder="{Static resx:Resources.ChangeRequest_Email_Text}" TextColor="Black" FontSize="Large" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand"/>
      </StackLayout>
      
      <!--BOUTON LOGIN-->
      <Grid Grid.Row="2" ColumnSpacing="0">
        <Grid.ColumnDefinitions>
          <ColumnDefinition Width="*"/>
          <ColumnDefinition Width="1.5*"/>
          <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>

        <Grid Grid.Column="1" ColumnSpacing="10" Style="{DynamicResource DoubleArrowedGridStyle}" Padding="10">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="Auto"/>
          </Grid.ColumnDefinitions>

          <ctrl:BoldFontLabel Grid.Column="0" Text="{Static resx:Resources.LoginView_LoginText}" Style="{DynamicResource SettingsLabelStyle}"/>
          <Image Grid.Column="1" Style="{DynamicResource ArrowDoubleWhiteImageStyle}"/>
        </Grid>
        
        <StackLayout Grid.Column="1" BackgroundColor="Transparent" VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand">
          <StackLayout.GestureRecognizers>
            <TapGestureRecognizer Command="{Binding LoginCommand}" />
          </StackLayout.GestureRecognizers>
        </StackLayout>
      </Grid>

      <!--CONDITIONS-->
      <ctrl:NormalFontLabel Grid.Row="3" Text="{Static resx:Resources.LoginView_ConditionsText}" TextColor="Black" HorizontalOptions="CenterAndExpand"/>
      <StackLayout Grid.Row="3" VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand">
        <StackLayout.GestureRecognizers>
          <TapGestureRecognizer Tapped="Clicked_ConditionsLink" />
        </StackLayout.GestureRecognizers>
      </StackLayout>
      
      <!--LANGUAGE SELECTION-->
      <Grid Grid.Row="4" Padding="0,20,0,0">
        <Grid.RowDefinitions>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="*"/>
        </Grid.RowDefinitions>

        <ctrl:NormalFontLabel Grid.Row="0" Text="language selection" TextColor="Black" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand"/>
        <Grid Grid.Row="1" Grid.ColumnSpacing="20" HorizontalOptions="CenterAndExpand" VerticalOptions="StartAndExpand">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto"/>
            <ColumnDefinition Width="Auto"/>
          </Grid.ColumnDefinitions>

          <Image Grid.Column="0" Style="{DynamicResource FlagSouthKoreaImageStyle}">
            <Image.GestureRecognizers>
              <TapGestureRecognizer Tapped="Clicked_Korean"/>
            </Image.GestureRecognizers>
          </Image>
          <Image Grid.Column="1" Style="{DynamicResource FlagUnitedStatesImageStyle}">
            <Image.GestureRecognizers>
              <TapGestureRecognizer Tapped="Clicked_English"/>
            </Image.GestureRecognizers>
          </Image>
        </Grid>
      </Grid>
      
    </Grid>
    
    <!--FILTRE-->
    <ContentView:FilterView Grid.Row="0" Grid.RowSpan="2" x:Name="filter" IsVisible="False"/>
    
  </Grid>
</ContentPage>